package com.zhongshu.reward.client.model.wallet;

import com.zhongshu.reward.client.type.DataState;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/5
 */
@Data
public class WalletModel {

    private String id;

    private Long createTime;

    private Long updateTime;;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 商铺id
     */
    private String shopId;


    /**
     * 账户余额(可提现金额)
     */
    private BigDecimal amount;

    /**
     * 未结算金额
     */
    private BigDecimal waitAmount;

    /**
     * 今日已提现金额
     */
    private BigDecimal todayTransferAmount;

    /**
     * 钱包状态
     */
    private DataState dataState;
}
