package com.zhongshu.reward.server.core.dao;


import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.reward.server.core.dao.extend.WalletDaoExtend;
import com.zhongshu.reward.server.core.domain.Wallet;

/**
 * @author wjf
 * @date 2024/8/5
 */
public interface WalletDao extends MongoDao<Wallet>, WalletDaoExtend {

    Wallet findByUserId(String userId);

    Wallet findTop1ById(String id);
}
