package com.zhongshu.reward.server.core.service;

import com.zhongshu.reward.client.model.MiniAppSettingModel;
import com.zhongshu.reward.client.model.param.MiniAppSettingParam;
import com.zhongshu.reward.server.core.dao.MiniAppSettingDao;
import com.zhongshu.reward.server.core.domain.MiniAppSetting;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 小程序配置Service
 */
@Service
public class MiniAppSettingService {

    @Autowired
    MiniAppSettingDao miniAppSettingDao;


    public MiniAppSettingModel saveOrUpdate(MiniAppSettingParam param){
        List<MiniAppSetting> settings = miniAppSettingDao.findAll();
        MiniAppSetting setting = null;
        if(settings.size()>0)
        {
            setting = settings.get(0);
        }else{
            setting = new MiniAppSetting();
        }
        BeanUtils.copyProperties(param,setting);
        miniAppSettingDao.save(setting);
        MiniAppSettingModel model = new MiniAppSettingModel();
        BeanUtils.copyProperties(setting,model);
        return model;
    }

    public MiniAppSettingModel querySetting(){
        List<MiniAppSetting> settings = miniAppSettingDao.findAll();
        MiniAppSetting setting = null;
        if(settings.size()>0)
        {
            setting = settings.get(0);
        }else{
            setting = new MiniAppSetting();
        }
        MiniAppSettingModel model = new MiniAppSettingModel();
        BeanUtils.copyProperties(setting,model);
        return model;
    }

}
