package com.zhongshu.reward.server.core.listener;

import com.github.microservice.auth.client.event.auth.EnterpriseApplicationEvent;
import com.zhongshu.vip.client.event.VipUserEvent;
import lombok.extern.slf4j.Slf4j;
import org.jetbrains.annotations.NotNull;
import org.springframework.context.ApplicationListener;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

/**
 * @author wjf
 * @date 2024/8/7
 */
@Slf4j
@Order(100)
@Component
public class VipEventListener implements ApplicationListener<VipUserEvent> {
    @Override
    public void onApplicationEvent(VipUserEvent event) {
        log.info("收到用户会员订阅消息：{}", event.getStreamModel());
    }
}
